Package org.eclipse.mat.internal.snapshot.inspections

# Enum MultiplePath2GCRootsQuery.Grouping

java.lang.Object
java.lang.Enum<MultiplePath2GCRootsQuery.Grouping>
org.eclipse.mat.internal.snapshot.inspections.MultiplePath2GCRootsQuery.Grouping

All Implemented Interfaces:
  `Serializable`, `Comparable<MultiplePath2GCRootsQuery.Grouping>`, `java.lang.constant.Constable`

Enclosing class:
  MultiplePath2GCRootsQuery

public static enum MultiplePath2GCRootsQuery.Grouping extends Enum<MultiplePath2GCRootsQuery.Grouping>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FROM_GC_ROOTS`
`FROM_GC_ROOTS_BY_CLASS`
`FROM_OBJECTS_BY_CLASS`

## Method Summary

Modifier and Type
Method
Description
`URL`
`getIcon()`
`String`
`toString()`
`static MultiplePath2GCRootsQuery.Grouping`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MultiplePath2GCRootsQuery.Grouping[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FROM_GC_ROOTS

public static final MultiplePath2GCRootsQuery.Grouping FROM_GC_ROOTS

### FROM_GC_ROOTS_BY_CLASS

public static final MultiplePath2GCRootsQuery.Grouping FROM_GC_ROOTS_BY_CLASS

### FROM_OBJECTS_BY_CLASS

public static final MultiplePath2GCRootsQuery.Grouping FROM_OBJECTS_BY_CLASS

## Method Details

### values

public static MultiplePath2GCRootsQuery.Grouping[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MultiplePath2GCRootsQuery.Grouping valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getIcon

public URL getIcon()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<MultiplePath2GCRootsQuery.Grouping>`